import com.rational.dashboard.clientinterfaces.rmi.IApplication;
import com.rational.dashboard.clientinterfaces.rmi.ICollectorHostMDs;
import com.rational.dashboard.clientinterfaces.rmi.ICollectorHostMD;
import com.rational.dashboard.framework.FrameworkUtilities;

public class DeleteCollectorHosts
{

	public static void main(String[] args)
	{
		try {

			// Instantiate a new instate of the frameworkUtilities class.
			FrameworkUtilities util = new FrameworkUtilities();

			// Connect to the Dashboard Server.  This call will display a login prompt, and establish
			// an RMI connection to the server.
			boolean connected = util.connect(null,false);
			if (connected)
			{
				// Get an instance of the "IApplication" object.  This is the central interface into
				// the Dashboard object model
				IApplication mApp = util.getApplicationObject();

				// Using the IApplication object, request a list of collector host objects...
				ICollectorHostMDs hosts = mApp.getCollectorHostMDs();

				// Iterate through the list of hosts...
				for (int i=0; i<hosts.getSize(); i++)
				{
					// get an instance of the ICollectorHostMD object for this host...
					ICollectorHostMD host = hosts.getItem(i);

					// Get the name of this host
					String hostname = host.getName();
					System.out.print("Processing host " + hostname + "...");

					// Do not remove the "dashboard server" host from the list.  This is an internal
					// hostname.  Actually, it doesn't really matter if it gets removed.  The dashboard server
					// will ensure that it is there next time it starts
					if (hostname.toLowerCase().indexOf("projectconsole server") == -1)
					{
						// Delete the host from the database
						host.delete();
						System.out.println("removed.");
					}
					else
					{
						System.out.println("not removed.");
					}
				}
				System.out.println("The hostname table has been cleaned out.  You must restart your PjC servers.");

				// Now, exit the application.  This call will properly shutdown the RMI connection.
				// If you do not make this call, the application will hang upon exit.
				util.exitApp(null);
			}
		}
		catch (Exception ex)
		{
			System.out.println("Exception caught: " + ex);
		}
	}

}

